diff --git a/changelog b/changelog
index 9b94266..0a7f5d6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090926 tpd src/axiom-website/patches.html 20090926.05.tpd.patch
+20090926 tpd src/interp/c-doc.lisp cleanup
 20090926 tpd src/axiom-website/patches.html 20090926.04.tpd.patch
 20090926 tpd src/interp/intint.lisp cleanup
 20090926 tpd src/axiom-website/patches.html 20090926.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e90c67e..8fa5000 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2047,5 +2047,7 @@ In process, not yet released<br/><br/>
   <hr>
 <a href="patches/20090926.04.tpd.patch">20090926.04.tpd.patch</a>
 src/interp/intint.lisp cleanup<br/>
+<a href="patches/20090926.05.tpd.patch">20090926.05.tpd.patch</a>
+src/interp/c-doc.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/c-doc.lisp.pamphlet b/src/interp/c-doc.lisp.pamphlet
index 9188631..d3283b0 100644
--- a/src/interp/c-doc.lisp.pamphlet
+++ b/src/interp/c-doc.lisp.pamphlet
@@ -33,6 +33,7 @@
 
 (DEFUN |getDoc| (|conName| |op| |modemap|)
   (PROG (|LETTMP#1| |dc| |target| |sl| |pred| D |argList| |sig|)
+  (declare (special |$FormalMapArgumentList|))
     (RETURN
       (PROGN
         (SPADLET |LETTMP#1| (|simplifyModemap| |modemap|))
@@ -151,7 +152,7 @@
 (DEFUN |getOpDoc| (&REST G166194 &AUX |sigPart| |op| |abb|)
   (DSETQ (|abb| |op| . |sigPart|) G166194)
   (PROG (|$argList| $ |u| |sig| |s| |d|)
-    (DECLARE (SPECIAL |$argList| $))
+    (DECLARE (SPECIAL |$argList| $ |$FormalMapVariableList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |u|
@@ -231,6 +232,7 @@
 
 (DEFUN |recordDocumentation| (|key| |lineno|)
   (PROG (|u|)
+  (declare (special |$docList| |$maxSignatureLineNumber|))
     (RETURN
       (PROGN
         (|recordHeaderDocumentation| |lineno|)
@@ -250,6 +252,8 @@
 
 (DEFUN |recordHeaderDocumentation| (|lineno|)
   (PROG (|n| |u| |al|)
+  (declare (special |$headerDocumentation| |$maxSignatureLineNumber|
+                    $COMBLOCKLIST))
     (RETURN
       (SEQ (COND
              ((EQL |$maxSignatureLineNumber| 0)
@@ -295,6 +299,7 @@
 
 (DEFUN |collectComBlock| (|x|)
   (PROG (|ISTMP#1| |val| |u|)
+  (declare (special $COMBLOCKLIST))
     (RETURN
       (COND
         ((AND (PAIRP $COMBLOCKLIST)
@@ -318,6 +323,7 @@
 
 (DEFUN |collectAndDeleteAssoc| (|x|)
   (PROG (|ISTMP#1| |r| |res| |s|)
+  (declare (special $COMBLOCKLIST))
     (RETURN
       (SEQ (PROGN
              (DO ((|y| $COMBLOCKLIST (CDR |y|))) ((ATOM |y|) NIL)
@@ -450,6 +456,7 @@
                                          G166360))))))))))))
 
 (DEFUN |finalizeDocumentation,fn| (|x| |e|)
+  (declare (special |$lisplibForm| |$FormalMapVariableList|))
   (SEQ (IF (ATOM |x|) (EXIT (CONS |x| (CONS NIL NIL))))
        (IF (> (|#| |x|) 2) (SPADLET |x| (TAKE 2 |x|)) NIL)
        (EXIT (SUBLISLIS |$FormalMapVariableList| (CDR |$lisplibForm|)
@@ -459,6 +466,7 @@
   (PROG (|unusedCommentLineNumbers| |docList| |u| |noHeading| |x|
             |ISTMP#1| |b| |attributes| |signatures| |name| |bigcnt|
             |op| |s| |litcnt| |a| |n| |r| |sig| |doc|)
+  (declare (special |$e| |$lisplibForm| |$docList| |$op| $COMBLOCKLIST))
     (RETURN
       (SEQ (PROGN
              (SPADLET |unusedCommentLineNumbers|
@@ -926,10 +934,9 @@
 ;  u
 
 (DEFUN |transformAndRecheckComments| (|name| |lines|)
-  (PROG (|$x| |$name| |$origin| |$recheckingFlag| |$exposeFlagHeading|
-              |u|)
+  (PROG (|$x| |$name| |$origin| |$recheckingFlag| |$exposeFlagHeading| |u|)
     (DECLARE (SPECIAL |$x| |$name| |$origin| |$recheckingFlag|
-                      |$exposeFlagHeading|))
+                      |$exposeFlagHeading| |$exposeFlag| |$checkingXmptex?|))
     (RETURN
       (PROGN
         (SPADLET |$checkingXmptex?| NIL)
@@ -986,7 +993,7 @@
 
 (DEFUN |checkRewrite| (|name| |lines|)
   (PROG (|$checkErrorFlag| |margin| |w| |verbatim| |u2| |okBefore| |u|)
-    (DECLARE (SPECIAL |$checkErrorFlag|))
+    (DECLARE (SPECIAL |$checkErrorFlag| |$argl| |$checkingXmptex?|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$checkErrorFlag| 'T)
@@ -1077,6 +1084,7 @@
 
 (DEFUN |checkTexht| (|u|)
   (PROG (|count| |y| |x| |acc|)
+  (declare (special |$charRbrace| |$charLbrace|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |count| 0)
@@ -1093,7 +1101,7 @@
                                          |$charLbrace|))
                                   (|checkDocError|
                                       (MAKESTRING
-                                       "First left brace after \\texht missing"))))
+                                   "First left brace after \\texht missing"))))
                                (SPADLET |count| 1)
                                (DO ()
                                    ((NULL
@@ -1209,8 +1217,10 @@
 ;  'done
 
 (DEFUN |checkRecordHash| (|u|)
-  (PROG (|p| |q| |htname| |ISTMP#1| |arg| |entry| |s| |parse| |n| |key|
-             |x|)
+  (PROG (|p| |q| |htname| |ISTMP#1| |arg| |entry| |s| |parse| |n| |key| |x|)
+  (declare (special |$origin| |$name| |$sysHash| |$setOptions| |$glossHash|
+                    |$currentSysList| |$lispHash| |$HTlisplinks| |$htHash|
+                    |$HTlinks| |$charBack|))
     (RETURN
       (SEQ (PROGN
              (DO () ((NULL |u|) NIL)
@@ -1443,6 +1453,7 @@
 
 (DEFUN |removeBackslashes| (|s|)
   (PROG (|k|)
+  (declare (special |$charBack|))
     (RETURN
       (COND
         ((BOOT-EQUAL |s| (MAKESTRING "")) (MAKESTRING ""))
@@ -1564,6 +1575,7 @@
 
 (DEFUN |checkGetStringBeforeRightBrace| (|u|)
   (PROG (|x| |acc|)
+  (declare (special |$charRbrace|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |acc| NIL)
@@ -1733,6 +1745,7 @@
 
 (DEFUN |htcharPosition| (|char| |line| |i|)
   (PROG (|m| |k|)
+  (declare (special |$charBack|))
     (RETURN
       (PROGN
         (SPADLET |m| (|#| |line|))
@@ -1766,6 +1779,7 @@
 
 (DEFUN |checkAddMacros| (|u|)
   (PROG (|x| |verbatim| |y| |acc|)
+  (declare (special |$HTmacs|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |acc| NIL)
@@ -1831,7 +1845,7 @@
 (DEFUN |checkComments| (|nameSig| |lines|)
   (PROG (|$checkErrorFlag| |margin| |w| |verbatim| |u2| |okBefore| |u|
             |v| |res|)
-    (DECLARE (SPECIAL |$checkErrorFlag|))
+    (DECLARE (SPECIAL |$checkErrorFlag| |$argl| |$attribute?|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$checkErrorFlag| NIL)
@@ -1921,6 +1935,7 @@
 
 (DEFUN |checkIndentedLines| (|u| |margin|)
   (PROG (|k| |s| |verbatim| |u2|)
+  (declare (special |$charFauxNewline|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |verbatim| NIL)
@@ -2036,6 +2051,7 @@
 
 (DEFUN |newWordFrom| (|l| |i| |m|)
   (PROG (|ch| |done| |buf|)
+  (declare (special |$charFauxNewline| |$charBlank| |$stringFauxNewline|))
     (RETURN
       (SEQ (PROGN
              (DO ()
@@ -2107,6 +2123,7 @@
 
 (DEFUN |checkGetArgs| (|u|)
   (PROG (|m| |k| |acc| |i|)
+  (declare (special |$charComma|))
     (RETURN
       (SEQ (COND
              ((NULL (STRINGP |u|)) NIL)
@@ -2190,6 +2207,7 @@
 (DEFUN |firstNonBlankPosition| (&REST G167305 &AUX |options| |x|)
   (DSETQ (|x| . |options|) G167305)
   (PROG (|start| |k|)
+  (declare (special |$charBlank|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |start| (OR (IFCAR |options|) 0))
@@ -2237,6 +2255,7 @@
 
 (DEFUN |checkAddSpaceSegments| (|u| |k|)
   (PROG (|m| |i| |j| |n|)
+  (declare (special |$charBlank|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |m| (MAXINDEX |u|))
@@ -2284,6 +2303,7 @@
 
 (DEFUN |checkTrim,trim| (|s|)
   (PROG (|k| |m| |n|)
+  (declare (special |$charBlank|))
     (RETURN
       (SEQ (SPADLET |k| (|checkTrim,wherePP| |s|))
            (RETURN (SUBSTRING |s| (PLUS |k| 2) NIL))
@@ -2297,6 +2317,7 @@
 
 (DEFUN |checkTrim,wherePP| (|u|)
   (PROG (|k|)
+  (declare (special |$charPlus|))
     (RETURN
       (SEQ (SPADLET |k| (|charPosition| |$charPlus| |u| 0))
            (IF (OR (BOOT-EQUAL |k| (|#| |u|))
@@ -2448,6 +2469,7 @@
 
 (DEFUN |checkFixCommonProblem| (|u|)
   (PROG (|x| |next| |acc|)
+  (declare (special |$charLbrace| |$HTspadmacros|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |acc| NIL)
@@ -2542,8 +2564,9 @@
 ;  NREVERSE acc
 
 (DEFUN |checkDecorate| (|u|)
-  (PROG (|x| |count| |mathSymbolsOk| |spadflag| |verbatim| |v| |xcount|
-             |acc|)
+  (PROG (|x| |count| |mathSymbolsOk| |spadflag| |verbatim| |v| |xcount| |acc|)
+  (declare (special |$charLbrace| |$charRbrace| |$charBack| |$argl|
+                    |$charExclusions| |$checkingXmptex?|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |count| 0)
@@ -2812,6 +2835,7 @@
 
 (DEFUN |checkAddBackSlashes| (|s|)
   (PROG (|c| |m| |char| |insertIndex| |k|)
+  (declare (special |$charBack| |$charEscapeList|))
     (RETURN
       (SEQ (COND
              ((OR (AND (CHARP |s|) (SPADLET |c| |s|))
@@ -2864,6 +2888,7 @@
 
 (DEFUN |checkAddSpaces| (|u|)
   (PROG (|u2| |space|)
+  (declare (special |$charBlank| |$charFauxNewline|))
     (RETURN
       (SEQ (COND
              ((NULL |u|) NIL)
@@ -2962,6 +2987,7 @@
 
 (DEFUN |checkIeEgfun| (|x|)
   (PROG (|m| |key| |firstPart| |result|)
+  (declare (special |$charPeriod|))
     (RETURN
       (SEQ (COND
              ((CHARP |x|) NIL)
@@ -3130,6 +3156,7 @@
 
 (DEFUN |checkSplitBackslash| (|x|)
   (PROG (|m| |k| |u| |v|)
+  (declare (special |$charBack|))
     (RETURN
       (COND
         ((NULL (STRINGP |x|)) (CONS |x| NIL))
@@ -3187,6 +3214,9 @@
 
 (DEFUN |checkSplitPunctuation| (|x|)
   (PROG (|m| |lastchar| |v| |k| |u|)
+  (declare (special |$charDash| |$htMacroTable| |$charBack| |$charQuote|
+                    |$charComma| |$charSemiColon| |$charPeriod|
+                    |$charPeriod|))
     (RETURN
       (COND
         ((CHARP |x|) (CONS |x| NIL))
@@ -3260,6 +3290,7 @@
 
 (DEFUN |checkSplitOn| (|x|)
   (PROG (|m| |char| |k| |l|)
+  (declare (special |$charBack| |$charSplitList|))
     (RETURN
       (SEQ (COND
              ((CHARP |x|) (CONS |x| NIL))
@@ -3322,6 +3353,7 @@
 
 (DEFUN |checkBalance| (|u|)
   (PROG (|x| |openClose| |open| |top| |restStack| |stack|)
+  (declare (special |$checkPrenAlist|))
     (RETURN
       (SEQ (PROGN
              (|checkBeginEnd| |u|)
@@ -3440,6 +3472,8 @@
 
 (DEFUN |checkBeginEnd| (|u|)
   (PROG (|x| |ISTMP#1| |ISTMP#2| |y| |r| |beginEndStack|)
+  (declare (special |$charRbrace| |$charLbrace| |$beginEndList| |$charBack|
+                    |$htMacroTable|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |beginEndStack| NIL)
@@ -3604,6 +3638,7 @@
 
 (DEFUN |checkArguments| (|u|)
   (PROG (|x| |k|)
+  (declare (special |$htMacroTable|))
     (RETURN
       (SEQ (PROGN
              (DO () ((NULL |u|) NIL)
@@ -3665,6 +3700,7 @@
 
 (DEFUN |checkLookForLeftBrace| (|u|)
   (PROG (|x|)
+  (declare (special |$charBlank| |$charLbrace|))
     (RETURN
       (SEQ (PROGN
              (DO () ((NULL |u|) NIL)
@@ -3692,6 +3728,7 @@
 
 (DEFUN |checkLookForRightBrace| (|u|)
   (PROG (|x| |found| |count|)
+  (declare (special |$charLbrace| |$charRbrace|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |count| 0)
@@ -3805,6 +3842,7 @@
 (DEFUN |checkTransformFirsts| (|opname| |u| |margin|)
   (PROG (|namestring| |s| |m| |infixOp| |p| |open| |close| |l| |n| |i|
             |prefixOp| |j| |k| |firstWord|)
+  (declare (special |$checkPrenAlist| |$charBack|))
     (RETURN
       (PROGN
         (SPADLET |namestring| (PNAME |opname|))
@@ -4007,6 +4045,7 @@
 ;  i
 
 (DEFUN |checkSkipBlanks| (|u| |i| |m|)
+  (declare (special |$charBlank|))
   (SEQ (PROGN
          (DO ()
              ((NULL (AND (> |m| |i|)
@@ -4033,6 +4072,7 @@
 ;  i
 
 (DEFUN |checkSkipOpToken| (|u| |i| |m|)
+  (declare (special |$charDelimiters|))
   (SEQ (PROGN
          (DO ()
              ((NULL (AND (> |m| |i|)
@@ -4060,6 +4100,7 @@
 ;  ALPHA_-CHAR_-P c or DIGITP c or MEMQ(c,$charIdentifierEndings)
 
 (DEFUN |checkAlphabetic| (|c|)
+  (declare (special |$charIdentifierEndings|))
   (OR (ALPHA-CHAR-P |c|) (DIGITP |c|)
       (MEMQ |c| |$charIdentifierEndings|)))
 
@@ -4103,6 +4144,7 @@
 
 (DEFUN |setOutStream| (|nam|)
   (PROG (|filename|)
+  (declare (special |$outStream|))
     (RETURN
       (PROGN
         (SPADLET |filename|
@@ -4125,6 +4167,7 @@
 
 (DEFUN |whoOwns| (|con|)
   (PROG (|filename| |quoteChar| |instream| |value|)
+  (declare (special |$exposeFlag|))
     (RETURN
       (COND
         ((NULL |$exposeFlag|) NIL)
@@ -4150,6 +4193,7 @@
 ;  checkDocError u
 
 (DEFUN |checkDocError1| (|u|)
+  (declare (special |$compileDocumentation|))
   (COND
     ((AND (BOUNDP '|$compileDocumentation|) |$compileDocumentation|)
      NIL)
@@ -4172,6 +4216,8 @@
 
 (DEFUN |checkDocError| (|u|)
   (PROG (|msg|)
+  (declare (special |$outStream| |$exposeFlag| |$exposeFlagHeading|
+                    |$constructorName| |$recheckingFlag| |$checkErrorFlag|))
     (RETURN
       (PROGN
         (SPADLET |$checkErrorFlag| 'T)
@@ -4204,6 +4250,7 @@
 
 (DEFUN |checkDocMessage| (|u|)
   (PROG (|sourcefile| |person| |middle|)
+  (declare (special |$constructorName| |$x|))
     (RETURN
       (PROGN
         (SPADLET |sourcefile|
@@ -4247,6 +4294,7 @@
 
 (DEFUN |checkDecorateForHt| (|u|)
   (PROG (|x| |count| |spadflag|)
+  (declare (special |$checkingXmptex?| |$charRbrace| |$charLbrace|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |count| 0)
